# Amodio_Infertility_2024
Amodio G, Giacomini G, Boeri L, et al. **T cell exhaustion and senescence signatures characterize and differentiate infertile men**

### Analyses ###
Single-cell (from 10X Genomics) analysis of CD3+ T cells purified from the peripheral blood of men diagnosed with oligo-astheno-teratozoospermia (OAT, n=4), idiopathic non-obstructive azoospermia (iNOA, n=6), and a control group (FER, n=5).

 

**scRNAseq** analysis was performed using a standard [Seurat](https://satijalab.org/seurat/) pipeline that includes the following steps starting from a minimal object after loading of 10X data to markers identification:

   - Preprocessing and cell filtering
      - Each sample was pre-processed and cells with mitochondrial RNA percentages higher than 10 and a number of features <1200 or >6000, were filtered out.   
   - Normalization 
      - Default seurat settings [vignette]
   - Scaling: 
      - Data was regressed out by passing UMI count, the percentage of mitochondrial genes, the difference between the cell cycle phases scores.
   - Dimensionality reduction and Harmony batch removal:
      - A principal component analysis (PCA) with 100 principal components (PCs) was performed and a UMAP-representation as well as clusters were computed on the top 55 components (orig.ident as batch variable)
   - Clustering
   - Markers identification
      - Cluster annotation: 
      - Intra-cluster comparisons

  

### Directories and Files ###
- **Script**: R scripts used for the analyses
  - `1_PreProcessing_Data.R`: Full object creation
  - `2_Infertility_scRNAseq_analysis.R`: 
  - `3_SubsetAnalysis_Annotations.R`: subset analyses of T cells and cluster manual annotation
  - `4_ScoreAnalysis_TcellSubset.R`: 
  - `5_Visualization_Export_Data.R`: 
- **Data**: results of scRNAseq analysis: 





